#ifndef PUNKT_H
#define PUNKT_H

// 1. Diese Datenstruktur soll einen Punkt in der Ebene beschreiben:

struct Punkt
{
  double x;
  double y;
};
typedef struct Punkt Punkt;

// Schreiben Sie eine C-Funktion, die ein Array solcher Punkte
// sowie deren Anzahl entgegennimmt und dann zurckgibt,
// wie weit die bergebenen Punkte maximal vom Ursprung entfernt sind.
// Verwenden Sie eine eigene .h- und eine eigene .c-Datei.

double maximalabstand(Punkt p[], int anzahl);

// 2. Schreiben Sie eine struct, die ein achsenparalleles Rechteck
// beschreibt. Wie knnten Sie darin die struct aus Aufgabe 1 verwenden?

// 5. Erweitern Sie die struct fr das achsenparallele Rechteck
// (Aufgabe 2) so, dass man angeben kann, ob das Rechteck
// aus Papier, Pappe oder Blech bestehen soll.

enum Material
{
  Papier, Pappe, Blech
};
typedef enum Material Material;

struct Rechteck
{
  Punkt a;
  Punkt b;
  Material m;
};
typedef struct Rechteck Rechteck;

// 3. Schreiben Sie eine Funktion, die die Flche eines Rechtecks
// von Aufgabe 2 berechnet.

double berechneFlaeche(Rechteck r);

// 4. Schreiben Sie eine Funktion, die den Schwerpunkt
// eines Rechtecks von Aufgabe 2 zurckgibt.

Punkt berechneSchwerpunkt(Rechteck r);

// 6. Schreiben Sie eine Funktion, die die Masse eines Rechtecks
// von Aufgabe 5 zurckgibt.

double berechneMasse(Rechteck r);

#endif